GNU bug report logs - #18985
24.3; cperl-mode misindents hash keys that start with an auto-quoted keyword

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: avarab@HIDDEN (Ævar Arnfjörð Bjarmason); Keywords: fixed confirmed; Done: Lars Ingebrigtsen <larsi@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 28.1, send any further explanations to 18985 <at> debbugs.gnu.org and avarab@HIDDEN (Ævar Arnfjörð Bjarmason) Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) fixed. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18985 <at> debbugs.gnu.org:


Received: (at 18985) by debbugs.gnu.org; 28 Aug 2020 14:32:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 28 10:32:05 2020
Received: from localhost ([127.0.0.1]:47079 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBfQD-0003QU-J6
	for submit <at> debbugs.gnu.org; Fri, 28 Aug 2020 10:32:05 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kBfQA-0003Px-BW
 for 18985 <at> debbugs.gnu.org; Fri, 28 Aug 2020 10:32:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=NH7nX+ClmdoCvaEnCnowLs4P/14QoiD/oZ035LyWkl4=; b=oFPlR/B9PZAmU8+8HHLCUDQmnc
 LfeTP+nK8xNj42YCK8771++qWJzx26XtQ7w/I8xCWXcLag67fmJYbJW7KqVi98N81pEOa5zEGJw/3
 38DvXzEvDs5klIRKGLkECJaV3P8YUOlVGwWHRxGTxJAGqgLmyBiMMlWGEshUTN+jSDU0=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kBfQ1-0003Bn-0Q; Fri, 28 Aug 2020 16:31:55 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Harald =?utf-8?Q?J=C3=B6rg?= <haj@HIDDEN>
Subject: Re: bug#18985: [PATCH] Fix indent-region for identifiers with
 underscores
References: <878ujns3zm.fsf@HIDDEN>
 <93b85da0-c9bc-d116-7dd7-0bd6cb3b5233@HIDDEN>
X-Now-Playing: Mike Oldfield's _Tubular Bells (2)_: "Tubular Bells Part One"
Date: Fri, 28 Aug 2020 16:31:51 +0200
In-Reply-To: <93b85da0-c9bc-d116-7dd7-0bd6cb3b5233@HIDDEN> ("Harald
 =?utf-8?Q?J=C3=B6rg=22's?=
 message of "Thu, 27 Aug 2020 23:13:08 +0200")
Message-ID: <875z92vo2w.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  Harald Jörg <haj@HIDDEN> writes: > Another bug report
   from 2014 caught my attention. > A patch is attached. Thanks; applied to Emacs
    28. 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18985
Cc: 18985 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Harald J=C3=B6rg <haj@HIDDEN> writes:

> Another bug report from 2014 caught my attention.
> A patch is attached.

Thanks; applied to Emacs 28.

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18985; Package emacs. Full text available.

Message received at 18985 <at> debbugs.gnu.org:


Received: (at 18985) by debbugs.gnu.org; 27 Aug 2020 21:13:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 27 17:13:19 2020
Received: from localhost ([127.0.0.1]:44309 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kBPCw-0002LO-V2
	for submit <at> debbugs.gnu.org; Thu, 27 Aug 2020 17:13:19 -0400
Received: from mout01.posteo.de ([185.67.36.65]:39320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <haj@HIDDEN>) id 1kBPCu-0002LA-8K
 for 18985 <at> debbugs.gnu.org; Thu, 27 Aug 2020 17:13:17 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id DA115160061
 for <18985 <at> debbugs.gnu.org>; Thu, 27 Aug 2020 23:13:09 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.de; s=2017;
 t=1598562789; bh=HQsG3hNDVVGp0Ds9z5Ofx3skEoaCwDtxG8txLC2v/Ts=;
 h=To:From:Subject:Autocrypt:Date:From;
 b=cJehuXw2ByOy9ll+auDYaz9EXw+qVO1f719VyzrBkEgyM/jehK3svOVo7X/A/MwDb
 9t4+WmMVO7pqrTd/GwQNS2/Uyh+pNqzvmZJwu5Wv363TG5muFVxBlALWMZ69Os/HDT
 tn9lVGRzhDNChPZJw9VMXbwZJTz2sk8dCz/mqI2WH6eU1G/OL6t7Wa0BRJcK4l2WoP
 im1BmosN7zjdfxEUjTY6vq2W2h5x8+FTh09bvx4j2jTzWrrNdEPup+mBPZpU6ah8bC
 bZYQaPhA+xA1QW+9ssJ+z5zoirX5pZkSVn3Amdm/4Dw1ruNxdvkVfRt5E2qy3JN36E
 boYWKFI0bfeOA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 4BcwS5303Tz9rxL
 for <18985 <at> debbugs.gnu.org>; Thu, 27 Aug 2020 23:13:09 +0200 (CEST)
To: 18985 <at> debbugs.gnu.org
From: =?UTF-8?Q?Harald_J=c3=b6rg?= <haj@HIDDEN>
Subject: [PATCH] Fix indent-region for identifiers with underscores
Autocrypt: addr=haj@HIDDEN; keydata=
 mQINBF0DVrIBEAC7TRlIilBg/5Dx7R2rV4FBDEavbyMT2cS2wWyksh7JA8e17LNmTdakf+Bm
 u6C2m6+frolteYRlkreoyAg0fj/5tDw/s5dJDw3tM0b+m/pj2HcwTSRpQSEy5lBiCg11E6Mt
 F9UngCfkGtJzu8PBWXc1RDQVBwRn5MZbpMZZatE8NOq9AA3Yg6sY11Ez3xIvYU2R7a4OSxmc
 RJV2+dhdQ4oOTBIGQ2urQSU81kyRtkx+/Yh8WefMrk9nF3nzYziLS53euCAXyzklwYmD6Li3
 XSu7wYp5fISky9DK6DPFK7h4RXEL4GFAhy31ehrVnNTcGRohM1Dm9BV9dwXkwlaeT3q0X+nE
 SXVqPDHtv748bXNIg2WVCZ0WgShcA46XVlSE9Fm+w0HI/1m1L4BaMmQ7gyK5dEchbhxohkk0
 AqC3hEJ4ULRidrsCoCWGMFKiOIb9rjeC00vhrUkVJDkPWEGLXjhnRQykb6cESko0rPrSDLqX
 9YqaNQ6KO9Un6uogE7YnXYg35EXJ8ORdX257IbXNbFVpgM8FFsl48WV3Pl9WNdADhnnOrz3O
 wzyK58i/BTsnjVX8ghbWkQcPQ2Kprt+4YR2trEi7TM5Uqzzrg0vp7Oe/9KZBxdxCE67thV7h
 ElW3CHb4q6o31b4cFmLbtFesSy+hnUU4UymgHgi/hvhxioBxIQARAQABtBxIYXJhbGQgSsO2
 cmcgPGhhakBwb3N0ZW8uZGU+iQJOBBMBCAA4FiEEIpYEZLQynxF8Q17KN4XzzzqAcpsFAl0D
 VrICGwMFCwkIBwIGFQgJCgsCBBYCAwECHgECF4AACgkQN4XzzzqAcpv0Lw/9H0KfYwkBY1jO
 aE8gBIP7cUGytufW9Kp2o8LsvwvVSq33q7oZANndaEfGV6aaUSATfTYG9PwHNgVY376qyEq8
 n8Gfi5IUmBMsD3ofi7eEcgk6jqNzXXTLm5HNPuqMvi2RPUzn9nR+3f4Vax1je6XEn5oL+ow3
 2nIFgBSRUby/YA5jgu1peZibYwCd9CBJAAoufBFo7GfgSygBWevGWL8Zv6m5lybPIxHUBuhw
 18ZAU218lf+SexwMAy9ULh0K6hTZeLHiIqigIvu1+mz3pql869n7GC00PZIXtDY+s0VEulUZ
 7S8ZVJKTpGv4lrunQ3JydBYt+0pLp5cgioF+3aKPaAsWQizeuLp6nGXNbrneXMlbqEOsdKvV
 NTAKy7sBFH73/brkrWn9LF80oP9ekeO7PVLYLPHmW7Ra2nC8I6R9t5my6V8fBnvqeJt+lQQP
 S0srdPdSJFgmbdBFj+89rVdAg43HkqNpcc8bRUKvBT8UfXmvJ/OPDCVGm2hhoU/nCDrE+nsv
 ZIBnj0SrvkDTZOsrHFyAMgqX4/Zw/RD8B3IjJA4F5aU9kfgT9vjhnstl/oNNbDUceB4rYVoi
 f9oLEEY7KMUgL303JgrgBq7Shtvv0NNqcZb1nefMC4krNZpMHW257PwhIgz1Ofl/38yNguKh
 r4Hl40J3cCOwNxnnyAWaE5m0DWhhakBwb3N0ZW8uZGWJAk4EEwEKADgWIQQilgRktDKfEXxD
 Xso3hfPPOoBymwUCXWzAvgIbAwULCQgHAgYVCgkICwIEFgIDAQIeAQIXgAAKCRA3hfPPOoBy
 m1LuEACVTqDi5AtVFzaUpVo9spdwoPKpZmXM7WK3MHIQ0gpwDEj0E2lJVBG9qqo1IPumnqwf
 lH5FY8gS+iT8lknGB4VyCNOefPm3v8dOnWqFi26lodspkWGFOcFw4Nx0vuF+nNGWZyQOkT1T
 +OOOUeyF7Vd4pdJr3EoTZ9aQyH5p1GSmlMuV8PqD7wCIWKwKQQl7N2lqgALfESK5ImBv3AKe
 A/5jiRRy3DZBAvop/IyTmq6k9rrmwHu6HHkPmubLqpncrYPdUOy1Qp2jsY7FBL0as/XU6JSe
 X0mAK/SJtPRV5tJlJXEZS+x/1yiBaRhjWFLyRWyKOo6Z2ehGrtuKCo3IbsJvvQBRtQP5LWzY
 md0/Ac1FlCrKoLXoW8E3+cjNZQNiulrE0uq/+VDgAbPeCG1xKnlgocd8CvCeUzIc6u0/wiv/
 9NJCJSx6eCocBAP5SgGv4V4GgMBXT66iaQu6D14ErwjPAXFHYbRXZY9ApAvjvaocLRFXuy5S
 9mrfS84kvOiCtDcN63xeTFhlv/ztZzB1s+qiLj9QcdQcdVEGhCIb+WPpyWMg4zwuKPn6Ov+s
 O1siqS5owNCxsLui1b5qAoeQHh408ziVr1I7p3nrbdiJJxp0BqzFClR3KGBKJI8H7nd4NQuS
 tgWj8vM2j54pkzYDQGXZFahXwK1jH8SheQ7R98FT87kCDQRdA1ayARAAooZdrnmvf4HaJTL9
 nfDGTCM0iNUttovG5VQPUXUI70eaeAr+PM0C8NvVKNdsy/RRlX+Om95dg4CmYrM32DDuinIB
 c0gLAS6RKKYHe5fo2Ez3IQWqNAjGyfIC1v0D9lxwLhyf0CY+1CvKyigqgQFekGXyQV8t8FMO
 B+Uvu1hRc6UQVMtzEsNpYsxMpZAChakVcD4B5ZSn995TSXt1EEyeX5wU/40Omph1zz4sn0DW
 fUczVwbh2ElLbs54PyQyCSB/UkeYyqxU9wefpd9mrsRqWYJMPrrFu1/W4uocrH1W0ObZncFV
 29g3JNKR3bGVCxhAYGODND2z5hDCxSDWaUJ074K76YqrSEBv/tQzr1N/f5uWPCOJXX69edie
 whRMBA5Gwja4s2qsKGjSxxgFuIPdyoo4+soaHPdLRMjGn7Qyh8zihw4KolQ3chXgCDsRiPu7
 E3QNfWJMKB0ebQCa4CK5rB8HGEWFMJNI3E+UbZoe1CrnOSBdd/Rv4ED5HPw69rbUddQSuLF7
 A12LqPQjuK+ZeI9MHYEBIq8pRzUGJJmDmJ3cOf9GaF5esfweidTNo3CEiSKkB7ccBSoOWECm
 KTGKlsraFnpps68wlz8UMwNEvumG4JZwmTa10qj7PDu/W0H6nH3egWbrfqUh29kspVrlfoqE
 20EPCcUtCaayB3lZdLsAEQEAAYkCNgQYAQgAIBYhBCKWBGS0Mp8RfENeyjeF8886gHKbBQJd
 A1ayAhsMAAoJEDeF8886gHKbPZ8QAI16XfXtSGcMDjm5/2M0qLNTpCcPCVGbKlWdshJPt9gH
 QcQKHXrHEl4kTdBFB15LzHIqfcjbhMxdxEPqU+3wpz9UVIEUHQ+9+sFMU79CXGCPMOz6bo44
 UXo4bbe0AdX7pLmdZnYce+wAlUEYlzBgf+5tA62RqgB4/kDgk8TX9LZKpxUp5zUhUTac6o2b
 NVhf77jFz/gGSEdo9DFxXyZOnvW5sy71cSXaYvecCX4Zkt1PIt6Je8FPrZB18m7204/5abHA
 FcekJd+WfxbLBpiidIsPqEGhjQuH3NE7A/YIYcYno0gasjjOl9voOgF63gWq0rU9DXPYzAEo
 T0X5U61d1MieiGzszbnAiFjuiCPOgEAZ5UOG1jgk0brXOGXcB6uLUKXdHY/Hew2Qw2UN4jsF
 qgaVHmgokTr0ml7VVP2x/QTsFB7+mCbJvKIy7wuaRUN8/YELIrcBo9TlZbHFhQuF/nUloLFy
 qWfnjERPf3F15raGx0mGtxyYmgjRGAmtn11fNUrvrPxvbrVOWq7kcSukdtHavH3J6VBv+8kd
 YFQMaa1HVZ6Fhp50GYB+zZ29C7gtNIe0rn59xAcsBab/TyNjpG4BP4D0oGCl0+TTgzNIemji
 AsnleF4J+/xNczT+QQusHYtByZ6FRWqKPxLl3NE9h5e4Uy5QpwXCCI97ZA248Hmp
Message-ID: <93b85da0-c9bc-d116-7dd7-0bd6cb3b5233@HIDDEN>
Date: Thu, 27 Aug 2020 23:13:08 +0200
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:68.0) Gecko/20100101
 Thunderbird/68.11.0
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="------------B479B6E1339D97F2021D3C36"
Content-Language: en-US
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 18985
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------B479B6E1339D97F2021D3C36
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit

Another bug report from 2014 caught my attention.
A patch is attached.
-- 
Cheers,
haj

--------------B479B6E1339D97F2021D3C36
Content-Type: text/x-patch; charset=UTF-8;
 name="0001-2020-08-27-Harald-J-rg-haj-posteo.de.patch"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="0001-2020-08-27-Harald-J-rg-haj-posteo.de.patch"

From c3b3c7b8a2105d39e81c6f8ccf19a1600659bcce Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Harald=20J=C3=B6rg?= <haj@HIDDEN>
Date: Thu, 27 Aug 2020 22:57:53 +0200
Subject: [PATCH] =?UTF-8?q?2020-08-27=20=20Harald=20J=C3=B6rg=20=20<haj@po?=
 =?UTF-8?q?steo.de>?=
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

 * lisp/progmodes/cperl-mode.el (cperl-fix-line-spacing): Fix Bug#18985.
 Hash keys or function names starting with a Perl keyword followed
 by an underscore (as in "for_me" are no longer split into two words
 by M-x indent-region.
---
 lisp/progmodes/cperl-mode.el | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/lisp/progmodes/cperl-mode.el b/lisp/progmodes/cperl-mode.el
index c47aa2ea8c..44579cfd38 100644
--- a/lisp/progmodes/cperl-mode.el
+++ b/lisp/progmodes/cperl-mode.el
@@ -4876,7 +4876,7 @@ cperl-fix-line-spacing
       ;;  }? continue
       ;;  blah; }
       (if (not
-	   (or (looking-at "[ \t]*\\(els\\(e\\|if\\)\\|continue\\|if\\|while\\|for\\(each\\)?\\|until\\)")
+	   (or (looking-at "[ \t]*\\(els\\(e\\|if\\)\\|continue\\|if\\|while\\|for\\(each\\)?\\|unless\\|until\\)\\_>")
 	       (setq have-brace (save-excursion (search-forward "}" ee t)))))
 	  nil				; Do not need to do anything
 	;; Looking at:
@@ -4884,7 +4884,7 @@ cperl-fix-line-spacing
 	;; else
 	(if cperl-merge-trailing-else
 	    (if (looking-at
-		 "[ \t]*}[ \t]*\n[ \t\n]*\\(els\\(e\\|if\\)\\|continue\\)\\>")
+		 "[ \t]*}[ \t]*\n[ \t\n]*\\(els\\(e\\|if\\)\\|continue\\)\\_>")
 		(progn
 		  (search-forward "}")
 		  (setq p (point))
@@ -4892,7 +4892,7 @@ cperl-fix-line-spacing
 		  (delete-region p (point))
 	      (insert (make-string cperl-indent-region-fix-constructs ?\s))
 		  (beginning-of-line)))
-	  (if (looking-at "[ \t]*}[ \t]*\\(els\\(e\\|if\\)\\|continue\\)\\>")
+	  (if (looking-at "[ \t]*}[ \t]*\\(els\\(e\\|if\\)\\|continue\\)\\_>")
 	      (save-excursion
 		  (search-forward "}")
 		  (delete-horizontal-space)
@@ -4904,7 +4904,7 @@ cperl-fix-line-spacing
 			(setq ret (point)))))))
 	;; Looking at:
 	;; }     else
-	(if (looking-at "[ \t]*}\\(\t*\\|[ \t][ \t]+\\)\\<\\(els\\(e\\|if\\)\\|continue\\)\\>")
+	(if (looking-at "[ \t]*}\\(\t*\\|[ \t][ \t]+\\)\\<\\(els\\(e\\|if\\)\\|continue\\)\\_>")
 	    (progn
 	      (search-forward "}")
 	      (delete-horizontal-space)
-- 
2.20.1


--------------B479B6E1339D97F2021D3C36--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18985; Package emacs. Full text available.
bug Marked as found in versions 26.2. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) confirmed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 18985 <at> debbugs.gnu.org:


Received: (at 18985) by debbugs.gnu.org; 5 Jul 2019 20:04:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jul 05 16:04:23 2019
Received: from localhost ([127.0.0.1]:53814 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hjURT-0007h3-By
	for submit <at> debbugs.gnu.org; Fri, 05 Jul 2019 16:04:23 -0400
Received: from mail-wr1-f49.google.com ([209.85.221.49]:40481)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1hjURQ-0007gl-TJ
 for 18985 <at> debbugs.gnu.org; Fri, 05 Jul 2019 16:04:21 -0400
Received: by mail-wr1-f49.google.com with SMTP id r1so4662851wrl.7
 for <18985 <at> debbugs.gnu.org>; Fri, 05 Jul 2019 13:04:20 -0700 (PDT)
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to:cc
 :content-transfer-encoding;
 bh=0iWhIbDtM7juwn16nZtjQk4v25/dXocjpzMPrcLWlAo=;
 b=pv0DcJSHh+sS02psJ39e5pV3bPqFG4E485/oY1GvLWcNljMC3s2GNWI551HeytWsj/
 RQLx74TA4EVj5Dx2m2elDKEOZuc/AF4oTyeT0AIp7Bwp8E8IIMEDuFVpWh9sHlnT388v
 bcQd91pVnN9OyBiMDPAoxW18CiEQ8QjjnD9+4J4lJix2dba6ptY4Z0Rk//Z2x+iEg0fo
 THwf3bO0tFOneGaa0QHH00dlRLDh9fdS3OgRCrwpU7D2rf2pUyJP0nXeu9lcqGR+LWsz
 HnFjmJF41vzZxjFlBQF6v20jLtZpjzJvCh5BOfw4Ri+WAFbsCenYHUO2vkFqdb//99cy
 p94g==
X-Gm-Message-State: APjAAAUE59tBSrgFMP6HgGcoHikS/JNVAiq9eGVHugxKceQ/wKBUolvL
 ZGhMSQQI2g6/lflOAT5rJEUFS0y/tf7bm7FN12o=
X-Google-Smtp-Source: APXvYqwvdCCziCVhYb1oSe6grpISYQwI9w7PMSkcd0Gt9mnN8f/HykFAR1sEbXxENou8JSgp+MAlk1bvRuXijlBHGLg=
X-Received: by 2002:a05:6000:14b:: with SMTP id
 r11mr5288313wrx.196.1562357054142; 
 Fri, 05 Jul 2019 13:04:14 -0700 (PDT)
MIME-Version: 1.0
From: Stefan Kangas <stefan@HIDDEN>
Date: Fri, 5 Jul 2019 22:04:03 +0200
Message-ID: <CADwFkmkJa21n4wH357P_HcAL_w1EXOY49RaXjpMnJHzZk1N19Q@HIDDEN>
Subject: Re: bug#18985: 24.3; cperl-mode misindents hash keys that start with
 an auto-quoted keyword
To: avarab@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 18985
Cc: 18985 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

avarab@HIDDEN (=C3=86var Arnfj=C3=B6r=C3=B0 Bjarmason) writes:

> cperl-mode has a nasty bug in M-x indent-region, if you write this to a
> file:
>
>     my %x =3D (
>         for_me =3D> "cookie",
>     );
>
> And indent it you end up with:
>
>     my %x =3D (
>      for _me =3D> "cookie",
>     );
>
> Note the space between the "for" and "_me", the indenter falsely thought
> that "for" was a keyword and suffixed it with a space, changing the
> semantics of the code.
>
> The same issue happens with some other keywords, e.g. "if" and "until",
> but interestingly not "unless".

I can reproduce this on Emacs 26.2.

Best regards,
Stefan Kangas




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#18985; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2014 16:43:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 07 11:43:24 2014
Received: from localhost ([127.0.0.1]:53073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1XmmdA-0001Qs-1x
	for submit <at> debbugs.gnu.org; Fri, 07 Nov 2014 11:43:24 -0500
Received: from eggs.gnu.org ([208.118.235.92]:47000)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <avarab@HIDDEN>) id 1Xmgif-0007HF-Vk
 for submit <at> debbugs.gnu.org; Fri, 07 Nov 2014 05:24:42 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <avarab@HIDDEN>) id 1XmgiW-0005ms-Pe
 for submit <at> debbugs.gnu.org; Fri, 07 Nov 2014 05:24:41 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:34002)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <avarab@HIDDEN>) id 1XmgiW-0005ml-Mh
 for submit <at> debbugs.gnu.org; Fri, 07 Nov 2014 05:24:32 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:48675)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <avarab@HIDDEN>) id 1XmgiQ-00083j-Bl
 for bug-gnu-emacs@HIDDEN; Fri, 07 Nov 2014 05:24:32 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <avarab@HIDDEN>) id 1XmgiJ-0005ji-B8
 for bug-gnu-emacs@HIDDEN; Fri, 07 Nov 2014 05:24:26 -0500
Received: from u.nix.is ([5.9.157.150]:47628)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <avarab@HIDDEN>) id 1XmgiJ-0005im-4v
 for bug-gnu-emacs@HIDDEN; Fri, 07 Nov 2014 05:24:19 -0500
Received: from u.nix.is (localhost [127.0.0.1])
 by u.nix.is (Postfix) with ESMTP id 5998016A655E
 for <bug-gnu-emacs@HIDDEN>; Fri,  7 Nov 2014 10:24:17 +0000 (UTC)
From: avarab@HIDDEN (=?utf-8?B?w4Z2YXIgQXJuZmrDtnLDsA==?= Bjarmason)
To: bug-gnu-emacs@HIDDEN
Subject: 24.3; cperl-mode misindents hash keys that start with an auto-quoted
 keyword
Date: Fri, 07 Nov 2014 10:24:13 +0000
Message-ID: <878ujns3zm.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 07 Nov 2014 11:43:22 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


cperl-mode has a nasty bug in M-x indent-region, if you write this to a
file:
    
    my %x = (
        for_me => "cookie",
    );

And indent it you end up with:

    my %x = (
	 for _me => "cookie",
    );

Note the space between the "for" and "_me", the indenter falsely thought
that "for" was a keyword and suffixed it with a space, changing the
semantics of the code.

The same issue happens with some other keywords, e.g. "if" and "until",
but interestingly not "unless".
    
    
In GNU Emacs 24.3.1 (x86_64-pc-linux-gnu)
 of 2014-09-08 on binet, modified by Debian
System Description:	Debian GNU/Linux testing (jessie)

Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--build' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var/lib' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3/site-lisp:/usr/share/emacs/site-lisp'
 '--with-crt-dir=/usr/lib/x86_64-linux-gnu' '--with-x=no'
 '--without-gconf' '--without-gsettings' 'build_alias=x86_64-linux-gnu'
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' 'LDFLAGS=-Wl,-z,relro'
 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LANG: en_US.utf8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: CPerl

Minor modes in effect:
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-@ C-x h C-w i f SPC ( DEL DEL DEL DEL f o r _ m e 
SPC = > SPC " c o o k i e " ; DEL , C-a C-@ C-e ESC 
x i n d e n t - r e g TAB RET ESC x c p e r l - m o 
d e RET C-a C-p RET C-p m y SPC % x SPC = SPC ( C-n 
TAB C-e RET ) TAB ; C-@ C-p C-p C-a ESC x i n d e n 
t - r e g TAB RET C-_ C-@ C-n C-g C-@ C-p C-p C-a ESC 
w C-x b C-g ESC x r e p o r t - e m a TAB RET

Recent messages:
Mark set [3 times]
Mark activated
You can run the command `indent-region' with C-M-\
byte-code: Beginning of buffer
End of `mf ... f' string/RE not found: (scan-error Unbalanced parentheses 3 22)
Mark set
Undo!
Mark set
Quit
Mark set
Quit

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils cperl-mode easymenu time-date ediff-hook
vc-hooks lisp-float-type tabulated-list newcomment lisp-mode register
page menu-bar rfn-eshadow timer select mouse jit-lock font-lock syntax
facemenu font-core frame cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese hebrew greek romanian slovak
czech european ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
make-network-process dbusbind multi-tty emacs)




Acknowledgement sent to avarab@HIDDEN (Ævar Arnfjörð Bjarmason):
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#18985; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 28 Aug 2020 14:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.